import { Achievement } from "./achievement";
import { NPCBase } from "../npc/index";
import { PlayerCompanion } from "../playerCompanion/index";
export class DyingAchievement extends Achievement {
    constructor() {
        super(...arguments);
        this.SkinIndex = 5;
    }
    onSetup() {
        NPCBase.npcEvents.broadcast.subscribe("early_recovery", (npc) => {
            if (npc instanceof PlayerCompanion) {
                this.setStatus(npc.Owner, true);
            }
        });
    }
}
new DyingAchievement();
